/* Load this script using conditional IE comments if you need to support IE 7 and IE 6. */

window.onload = function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'icomoon\'">' + entity + '</span>' + html;
	}
	var icons = {
			'icon-wallet' : '&#xe000;',
			'icon-user2' : '&#xe001;',
			'icon-user1' : '&#xe002;',
			'icon-tick' : '&#xe003;',
			'icon-tag' : '&#xe004;',
			'icon-strategy' : '&#xe005;',
			'icon-star' : '&#xe006;',
			'icon-sliderLeft' : '&#xe007;',
			'icon-shop' : '&#xe008;',
			'icon-seo' : '&#xe009;',
			'icon-play' : '&#xe00a;',
			'icon-pause' : '&#xe00b;',
			'icon-multiFile' : '&#xe00c;',
			'icon-mobile' : '&#xe00d;',
			'icon-media' : '&#xe00e;',
			'icon-map' : '&#xe00f;',
			'icon-mail' : '&#xe010;',
			'icon-location' : '&#xe011;',
			'icon-job' : '&#xe012;',
			'icon-info' : '&#xe013;',
			'icon-home' : '&#xe014;',
			'icon-help' : '&#xe015;',
			'icon-forwardSlider' : '&#xe016;',
			'icon-forwardArrow' : '&#xe017;',
			'icon-file' : '&#xe018;',
			'icon-drupal' : '&#xe019;',
			'icon-download' : '&#xe01a;',
			'icon-develop' : '&#xe01b;',
			'icon-design' : '&#xe01c;',
			'icon-data' : '&#xe01d;',
			'icon-cross' : '&#xe01e;',
			'icon-contact' : '&#xe01f;',
			'icon-code' : '&#xe020;',
			'icon-browse' : '&#xe021;',
			'icon-bookmark' : '&#xe022;',
			'icon-backArrow' : '&#xe023;'
		},
		els = document.getElementsByTagName('*'),
		i, attr, html, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		attr = el.getAttribute('data-icon');
		if (attr) {
			addIcon(el, attr);
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
};